ProyectoCrm/src/app/Shared/Formularios/fw-cabecera/fw-cabecera.component.html

<nav class="Navegacion"><a class="Navegacion--Home" routerLink="/Home">{{ tEmpresaActual.Descripcion }}</a>
  <button class="btn btn-sm" type="button" (click)="DesplegarMenu()"><i class="fas text-white" [ngClass]="{ 'fa-angle-double-left': tEstadoMenu === true, 'fa-angle-double-right': tEstadoMenu === false }"></i></button>
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation"></button>
  <div class="collapse navbar-collapse" id="navbarNav">
    <ul class="navbar-nav ml-auto">
      <li class="nav-item dropdown no-arrow mx-1"><a class="nav-link dropdown-toggle" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" id="pagosDropdown"><span class="fas fa-money-bill-alt"></span><span class="badge badge-danger badge-contador">{{ tPagosPendientes.length }}</span></a>
        <div class="dropdown-list dropdown-menu dropdown-menu-right shadow animated--grow-in" aria-labelledby="pagosDropdown">
          <h6 class="dropdown-header bg-primary text-white text-left">Pagos Pendientes</h6><a class="dropdown-item d-flex align-items-center" *ngFor="let tPago of tPagosPendientes" href="#" (click)="AbrirModalDetalles(tPago)">
            <div class="mr-3">
              <div class="icon-circle bg-secondary"><i class="fas fa-file-alt text-white"></i></div>
            </div>
            <div>
              <div class="small text-gray-500">{{ tPago.Fecha_creacion | date:'medium' }}</div>
              <h5 class="text-xs"><span class="text-primary font-weight-bold">Factura:</span>{{ tPago.Codventa }}</h5>
              <h5 class="text-xs font-weight-bold"><span class="text-primary font-weight-bold">Forma:</span>[ {{ tPago.Codformapago }} - {{ tPago.Item }} ] {{ tPago.Descripcion }}</h5>
              <h5 class="text-xs font-weight-bold"><span class="text-primary font-weight-bold">Monto:</span>{{ tPago.Monto | currency: tEmpresaActual.Simbolo }}</h5>
            </div></a>
        </div>
      </li>
      <li class="nav-item dropdown"><a class="nav-link dropdown-toggle" data-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false">{{ tUsuarioActual.Descripcion }}</a>
        <div class="dropdown-menu"><a class="dropdown-item" (click)="IrPerfil()" href="#">Perfil</a><a class="dropdown-item" (click)="IrCambiarEmpresa()" href="#">Empresas</a>
          <div class="dropdown-divider"></div><a class="dropdown-item" href="#" (click)="Salir()">Salir</a>
        </div>
      </li>
    </ul>
  </div>
</nav>

ProyectoCrm/src/app/Shared/Formularios/fw-cabecera/fw-cabecera.component.pug
nav.Navegacion
  a(routerLink="/Home").Navegacion--Home {{ tEmpresaActual.Descripcion }}
  button(type="button", (click)="DesplegarMenu()").btn.btn-sm
    i([ngClass]="{ 'fa-angle-double-left': tEstadoMenu === true, 'fa-angle-double-right': tEstadoMenu === false }").fas.text-white
  button(type="button"
          data-toggle="collapse"
          data-target="#navbarNav"
          aria-controls="navbarNav"
          aria-expanded="false"
          aria-label="Toggle navigation").navbar-toggler
  div.collapse.navbar-collapse#navbarNav
    ul.navbar-nav.ml-auto
      li.nav-item.dropdown.no-arrow.mx-1
        a(href="#",
            role="button",
            data-toggle="dropdown",
            aria-haspopup="true",
            aria-expanded="false")#pagosDropdown.nav-link.dropdown-toggle
            span.fas.fa-money-bill-alt
            span.badge.badge-danger.badge-contador {{ tPagosPendientes.length }}
        div(aria-labelledby="pagosDropdown").dropdown-list.dropdown-menu.dropdown-menu-right.shadow.animated--grow-in
          h6.dropdown-header.bg-primary.text-white.text-left Pagos Pendientes
          a(*ngFor="let tPago of tPagosPendientes",
              href="#",
              (click)="AbrirModalDetalles(tPago)").dropdown-item.d-flex.align-items-center
            div.mr-3
              div.icon-circle.bg-secondary
                i.fas.fa-file-alt.text-white
            div
              div.small.text-gray-500 {{ tPago.Fecha_creacion | date:'medium' }}
              h5.text-xs
                span.text-primary.font-weight-bold Factura:
                | {{ tPago.Codventa }}
              h5.text-xs.font-weight-bold
                span.text-primary.font-weight-bold Forma:
                | [ {{ tPago.Codformapago }} - {{ tPago.Item }} ] {{ tPago.Descripcion }}
              h5.text-xs.font-weight-bold
                span.text-primary.font-weight-bold Monto:
                | {{ tPago.Monto | currency: tEmpresaActual.Simbolo }}
      li.nav-item.dropdown
        a(data-toggle="dropdown"
          href="#"
          role="button"
          aria-haspopup="true"
          aria-expanded="false").nav-link.dropdown-toggle
          | {{ tUsuarioActual.Descripcion }}
        div.dropdown-menu
          a((click)="IrPerfil()", href="#").dropdown-item Perfil
          a((click)="IrCambiarEmpresa()", href="#").dropdown-item Empresas
          div.dropdown-divider
          a(href="#",
            (click)="Salir()").dropdown-item Salir
